## igal2 2.2

=== Makefile ===
############################################################################
# if you change this, please also modify the value at the top of igal code
DESTDIR=/usr/local
############################################################################

BINDIR=$(DESTDIR)/bin
MANDIR=$(DESTDIR)/man/man1
LIBDIR=$(DESTDIR)/lib/igal2

OLDLIBDIR=$(DESTDIR)/lib/igal

clean::
	rm -rf $(LIBDIR)
	rm -f $(BINDIR)/igal2
	rm -f $(BINDIR)/igal
	rm -f $(MANDIR)/igal2.1
	rm -f $(BINDIR)/igal2.sh	

old-clean::
	rm -rf $(OLDLIBDIR)
	rm -f $(BINDIR)/igal
	rm -f $(MANDIR)/igal.1

install:: igal2
	install -d $(BINDIR)
	install -m 0755 igal2 $(BINDIR)
	ln -si $(BINDIR)/igal2 $(BINDIR)/igal
	install -m 0755 utilities/igal2.sh $(BINDIR)
	install -d $(MANDIR)
	install -m 0644 igal2.1 $(MANDIR)
	install -d $(LIBDIR)
	install -m 0644 README ChangeLog COPYING indextemplate2.html slidetemplate2.html tile.png igal2.css directoryline2.html $(LIBDIR)

## igal2 2.1

=== debian/changelog ===
igal2 (2.1-2) unstable; urgency=low

  * changed to 3.0 quilt source format (closes: #671643)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 00:08:01 +1000

igal2 (2.1-1) unstable; urgency=low

  * New upstream release
  * added watch file

 -- Alexander Zangerl <az@debian.org>  Wed, 30 May 2012 21:34:10 +1000

igal2 (2.0-6) unstable; urgency=low

  * lifted standards version,  updated dependencies
  * added option -e (show exif info) (suggested by Daniel Weuthen)
  
 -- Alexander Zangerl <az@debian.org>  Sun, 27 May 2012 18:42:38 +1000

igal2 (2.0-5) unstable; urgency=low

  * lifted standards version
  * temp. workaround for #595376 in imlib2 perl module: fails to write
    gifs, so we force thumbnails to be jpegs.

 -- Alexander Zangerl <az@debian.org>  Sun, 10 Apr 2011 00:28:21 +1000

igal2 (2.0-4) unstable; urgency=low

  * removed imagemagick dependency, replaced with imlib2 and image::size.

 -- Alexander Zangerl <az@debian.org>  Thu, 06 May 2010 21:03:27 +1000

igal2 (2.0-3) unstable; urgency=low

  * added code for handling animated gifs properly.

 -- Alexander Zangerl <az@debian.org>  Sun, 16 Aug 2009 14:29:10 +1000

igal2 (2.0-2) unstable; urgency=low

  * Updated control, now replaces igal properly and fully.

 -- Alexander Zangerl <az@debian.org>  Mon,  1 Dec 2008 11:41:19 +1000

igal2 (2.0-1) unstable; urgency=low

  * New upstream release.
  * igal2 supersedes the old v1.4 igal,
    which I now declare an ex-parrot: upstream is gone
    and its codebase is brittle and hard to maintain.

 -- Alexander Zangerl <az@debian.org>  Fri, 28 Nov 2008 11:07:44 +1000

=== debian/control ===
Source: igal2
Section: web
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4

Package: igal2
Architecture: all
Depends: libimage-size-perl, libimage-imlib2-perl, libimage-exiftool-perl, ${perl:Depends}, ${misc:Depends}
Replaces: igal
Provides: igal
Conflicts: igal
Homepage: http://igal.trexler.at/
Description: online image gallery generator
 iGal2 is a Perl-based program that can generate an
 entire online picture show (HTML slides, thumbnails and index page
 included) with just one command line invocation. 
 .
 iGal2 is a major rewrite of iGal (which is no longer maintained) 
 and introduces various new features and capabilities.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

build-arch: build
build-indep: build

build: build-stamp
build-stamp: 
	dh_testdir
	touch build-stamp

clean:	
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(TMP)/usr


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -n
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep
.PHONY: build clean binary-indep binary install configure

## igal2 2.2

=== debian/changelog ===
igal2 (2.2-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sun, 26 Jun 2016 19:15:11 +1000

igal2 (2.1-3) unstable; urgency=low

  * fixed code that relied on deprecated perl features
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Sat, 21 May 2016 12:10:57 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: igal2
 Architecture: all

=== debian/watch ===
version=3
http://igal.trexler.at/igal2-(.*)\.tar.gz

## igal2 2.3

=== Makefile ===
NAME=igal2
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
DATADIR=$(PREFIX)/share
MANDIR=$(DATADIR)/man/man1
IGALDIR=$(DATADIR)/$(NAME)

OLDLIBDIR=$(PREFIX)/lib/igal

all:

uninstall:
	rm -rf $(DESTDIR)$(IGALDIR)
	rm -f $(DESTDIR)$(BINDIR)/$(NAME)
	rm -f $(DESTDIR)$(BINDIR)/igal
	rm -f $(DESTDIR)$(MANDIR)/$(NAME).1
	rm -f $(DESTDIR)$(BINDIR)/$(NAME).sh

old-clean:
	rm -rf $(DESTDIR)$(OLDLIBDIR)
	rm -f $(DESTDIR)$(BINDIR)/igal
	rm -f $(DESTDIR)$(MANDIR)/igal.1

install:
	install -d $(DESTDIR)$(BINDIR)
	install -m 0755 $(NAME) $(DESTDIR)$(BINDIR)
	ln -si $(NAME) $(DESTDIR)$(BINDIR)/igal
	install -m 0755 utilities/$(NAME).sh $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)
	install -m 0644 $(NAME).1 $(DESTDIR)$(MANDIR)
	install -d $(DESTDIR)$(IGALDIR)
	install -m 0644 README ChangeLog COPYING indextemplate2.html slidetemplate2.html tile.png $(NAME).css directoryline2.html $(DESTDIR)$(IGALDIR)
	sed -i 's_/usr/local_$(PREFIX)_' $(DESTDIR)$(BINDIR)/{$(NAME),$(NAME).sh} $(DESTDIR)$(MANDIR)/$(NAME).1



VERSION=$(shell grep "VERSION" $(NAME) |head -1|cut -d '"' -f 2)

dist:
	git archive --prefix=$(NAME)-$(VERSION)/ HEAD --format=tar.gz -o $(NAME)-$(VERSION).tar.gz

=== debian/changelog ===
igal2 (2.3-1) unstable; urgency=medium

  * New upstream developer and release
  * lifted standards version, debhelper compat level

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Dec 2019 10:08:41 +1000

## igal2 2.4

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	install -m 0644 $(NAME).1 $(DESTDIR)$(MANDIR)
 	install -d $(DESTDIR)$(IGALDIR)
 	install -m 0644 README ChangeLog COPYING indextemplate2.html slidetemplate2.html tile.png $(NAME).css directoryline2.html $(DESTDIR)$(IGALDIR)
-	sed -i 's_/usr/local_$(PREFIX)_' $(DESTDIR)$(BINDIR)/{$(NAME),$(NAME).sh} $(DESTDIR)$(MANDIR)/$(NAME).1
+	sed -i 's_/usr/local_$(PREFIX)_' $(DESTDIR)$(BINDIR)/$(NAME) $(DESTDIR)$(BINDIR)/$(NAME).sh $(DESTDIR)$(MANDIR)/$(NAME).1

=== debian/changelog ===
igal2 (2.4-1) unstable; urgency=low

  * New upstream release

 -- Alexander Zangerl <az@debian.org>  Sat, 28 Nov 2020 13:43:36 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10.0.0)
+Standards-Version: 4.1.3.0
 
 Package: igal2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_testroot
 	dh_prep
 
-	$(MAKE) install DESTDIR=$(TMP)/usr
+	$(MAKE) PREFIX=/usr DESTDIR=$(TMP) install
 
 
 # Build architecture-independent files here.

## igal2 3.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	install -d $(DESTDIR)$(MANDIR)
 	install -m 0644 $(NAME).1 $(DESTDIR)$(MANDIR)
 	install -d $(DESTDIR)$(IGALDIR)
-	install -m 0644 README ChangeLog COPYING indextemplate2.html slidetemplate2.html tile.png $(NAME).css directoryline2.html $(DESTDIR)$(IGALDIR)
+	install -m 0644 README ChangeLog COPYING indextemplate2.html slidemovtemplate2.html slidetemplate2.html tile.png $(NAME).css directoryline2.html $(DESTDIR)$(IGALDIR)
 	sed -i 's_/usr/local_$(PREFIX)_' $(DESTDIR)$(BINDIR)/$(NAME) $(DESTDIR)$(BINDIR)/$(NAME).sh $(DESTDIR)$(MANDIR)/$(NAME).1

=== debian/changelog ===
igal2 (3.1-1) unstable; urgency=medium

  * New upstream release
  * reverted to using imagemagick as i don't want too much
    difference between upstream and the debian version
  * debhelper compat level, standards version lifted

 -- Alexander Zangerl <az@debian.org>  Sat, 25 Dec 2021 17:33:22 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: web
 Priority: optional
 Maintainer: Alexander Zangerl <az@debian.org>
-Build-Depends: debhelper (>= 10.0.0)
-Standards-Version: 4.1.3.0
+Build-Depends: debhelper (>= 12.0.0)
+Standards-Version: 4.3.0.3
 
 Package: igal2
 Architecture: all
-Depends: libimage-size-perl, libimage-imlib2-perl, libimage-exiftool-perl, ${perl:Depends}, ${misc:Depends}
+Depends: imagemagick, libimage-exiftool-perl, ${perl:Depends}, ${misc:Depends}
+Suggests: ffmpeg
 Replaces: igal
 Provides: igal
 Conflicts: igal

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%igal2-$1.tar.gz%" \
https://github.com/solbu/igal2/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## igal2 3.2

=== debian/changelog ===
igal2 (3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Alexander Zangerl <az@debian.org>  Mon, 22 Dec 2025 13:52:20 +1000
